#include "../mv1.h" 
#include <jpeglib.h>
#include <setjmp.h>
#include "../fglib.h"
int
main(int argc,char *argv[]) {
	MV1_Ctrl *bd = MV1_Open(0);
	MV1_Frame frame;
	int quality=85;
	int xsize,ysize;
	char *buf;
	FILE * outfile;
	if(argc<2){
		fprintf(stderr,"need a filename as argument\n");
		exit(1);
	} 
	outfile = fopen(argv[1],"wb" );
	if(outfile ==NULL ) {
		perror("openerror");
		exit(1);
        }
        MV1_InquireFrame(&frame,bd);
        xsize = frame.dx;
        ysize = frame.dy;
	buf = malloc(xsize*ysize);

	lseek(bd->raw_fd,0,SEEK_SET);
        read(bd->raw_fd,buf,xsize*ysize);

	FG_WriteJPEGFile((JSAMPLE*)buf,"Hello",xsize,ysize,outfile,quality);
	fclose(outfile);
	free(buf);	
	exit(0);

}
